#!/bin/bash

source /OSM/script/os_load_base.sh

# diagnose命令执行
function do_bdm_diagnose_cmd()
{
   echo -e "${1}\nexit\n" | diagnose --auto | grep -v "/diagnose>"
}

function PATCH_START()
{
	do_bdm_diagnose_cmd "sddebug getefusecheckswitch ebcresetswitch reload"
	OS_echo "Load FC port device reset switch end."
    return 
}
function PATCH_END()
{
    return
}

function PATCH_ROLLSTART()
{
	do_bdm_diagnose_cmd "sddebug getefusecheckswitch ebcresetswitch restore"
	OS_echo "Restore FC port device reset switch end."
    return
}

function PATCH_ROLLEND()
{
    return
}

#start：打补丁前需要执行的操作，脚本的执行时间点在替换文件前
#end：打补丁后需要执行的操作，脚本的执行时间点在替换文件后
#rollstart：回滚补丁时需要执行的操作，脚本的执行时间点在文件被恢复之前。
#rollend：回滚补丁时需要执行的操作，脚本的执行时间点在文件被恢复之后。
#PATCH_CLOSE_SWITCH:先读取性能统计开关的状态，将其值保存到switch中,并关闭性能统计开关
#PATCH_OPEN_SWITCH:如果用户之前是打开状态，将其开关打开
OS_echo "$GProcess: command is ($1)."
L_CMD=$1
case $L_CMD in
    "start") 
        PATCH_START
        ;;
    "end") 
        PATCH_END
        ;;
    "rollstart") 
        PATCH_ROLLSTART
        ;;
    "rollend") 
        PATCH_ROLLEND
        ;;
    *)
        OS_echo "unsupported option."
esac
exit 0

